Bug 22843 - kernel oops in irda modules
Summary: kernel oops in irda modules
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Aaron Brown
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-26 16:13 UTC by Gerald Teschl
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 19:55:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2000-12-26 16:13:56 UTC
I have an ASUS laptop with an (internal) winbond controller. Works fine
under 7.0.

I installed irda-utils and changed DEVICE in /etc/sysconfig/irda to point
to ttyS1.

Starting irda results in:
Dec 22 18:17:03 soliton irattach: 1.1 Tue Nov  9 15:30:55 1999 Dag Brattli
Dec 22 18:17:03 soliton irda: irattach startup succeeded
Dec 22 18:17:04 soliton kernel: IrDA: Registered device irda0
Dec 22 18:17:05 soliton irattach: Sorry, dongle not supported yet!
Dec 22 18:17:05 soliton 1.1 Tue Nov  9 15:30:55 1999 Dag Brattli
Dec 22 18:17:05 soliton kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000008
Dec 22 18:17:05 soliton kernel:  printing eip:
Dec 22 18:17:05 soliton kernel: c0116f95
Dec 22 18:17:05 soliton kernel: *pde = 00000000
Dec 22 18:17:05 soliton kernel: Oops: 0000
Dec 22 18:17:05 soliton kernel: CPU:    0
Dec 22 18:17:05 soliton kernel: EIP:    0010:[exec_usermodehelper+645/880]
Dec 22 18:17:05 soliton kernel: EIP:    0010:[<c0116f95>]
Dec 22 18:17:05 soliton kernel: EFLAGS: 00010246
Dec 22 18:17:05 soliton kernel: eax: 00000000   ebx: 00000000   ecx:
c5c6b6c0 edx: 00000000 
Dec 22 18:17:05 soliton kernel: esi: c4ee0000   edi: c5fe7c20   ebp:
c4ee0000 esp: c4ee1fa0
Dec 22 18:17:05 soliton kernel: ds: 0018   es: 0018   ss: 0018
Dec 22 18:17:05 soliton kernel: Process irattach (pid: 1635,
stackpage=c4ee1000)
Dec 22 18:17:05 soliton kernel: Stack: c5c6b6c0 c5c6b6c0 c3c80ce0 c5fe7c20
c5c6b 6c0 c5c6b6c0 c5fe7c20 c5fe7c20
Dec 22 18:17:05 soliton kernel:        c27b6000 00000100 c01172a0 c20c5da8
00000
100 c20c5d8c c20c5e50 c5fe7c20
Dec 22 18:17:05 soliton kernel:        c01172b4 c0252fa0 c20c5e50 c20c5e30
c0108
b86 c20c5da8 c01172a0 c20c4000
Dec 22 18:17:05 soliton kernel: Call Trace: [exec_helper+0/32]
[exec_helper+20/32] [kernel_thread+38/48] [exec_helper+0/32]
Dec 22 18:17:05 soliton kernel: Call Trace: [<c01172a0>] [<c01172b4>]
[<c0108b86>] [<c01172a0>]
Dec 22 18:17:05 soliton kernel: Code: 3b 58 08 7d 42 89 f2 b9 06 00 00 00
eb 0d 90 90 90 90 90 90

Comment 1 Bernhard Rosenkraenzer 2000-12-27 17:09:19 UTC
This is a kernel problem. Reassigning.


Comment 2 Glen Foster 2001-01-11 21:05:45 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 3 Michael K. Johnson 2001-01-19 19:35:20 UTC
IRDA currently doesn't function right without debugging
turned on.  We'll either turn debugging on or (more likely)
fix the problem the right way.

Comment 4 Michael K. Johnson 2001-01-19 19:55:03 UTC
Fixed in our current sources.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.